    Delete a data set by identifier.

delete_data(id=None)
id - int or str, optional

The data set, and any associated structures - such as the ARF and RMF for PHA data sets - are removed.

Delete the data from the default data set:

>>> delete_data()

Delete the data set identified as 'src':

>>> delete_data('src')

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set to delete. If not given then the default identifier is used, as returned by `get_default_id` .

Notes

The source expression is not removed by this function.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023